<?php
	
	session_start();

	require_once 'common.php';
	require_once 'twitteroauth/autoload.php';

	use Abraham\TwitterOAuth\TwitterOAuth;
	
	if(isset($_SESSION['access_token'])===FALSE){
		header( 'location: login' );
		//html_needlogin();
	}

	$access_token = $_SESSION['access_token'];
	$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $access_token['oauth_token'], $access_token['oauth_token_secret']);
	
	$user = $connection->get("account/verify_credentials");
	
	if(isset($_POST['text'])) {
		$message = htmlspecialchars($_POST['text'])." (".$live_url." #".TWEET_TAG.")";
		$result = $connection->post("statuses/update", ["status" => $message]);
	}
?>
<html>
<head>
<title>commentform</title>
<style>
input.comment { width : 90% ;  width : -webkit-calc(100% - 200px) ;   width : calc(100% - 200px) }
a {color: silver; margin-left: 8px; margin-right: 8px; vertical-align: middle;}
.form p{display:inline-block; vertical-align:middle; margin:0px;}
.form {width : 100%;}
.in_form {width : 90% ;  width : -webkit-calc(100% - 50px) ;   width : calc(100% - 50px)}
</style>
</head>
<body>

<form action="commentform" method="post">
<div class="form"><p><img src="<?php echo str_replace("normal","400x400",$user->profile_image_url_https); ?>" width="30px" alt="アイコン" class="icon"></p>

<p class="in_form"><input type="text" name="text" value="" placeholder="<?php 
	if(!isset($_POST['text'])) {
		print "コメントを入力";
	}elseif($connection->getLastHttpCode() == 200) {
		print "コメントしました！";
	} else {
		print "コメント失敗…\n";
	} ?>" class="comment" />
<input type="submit" />
<a href="logout" target="_parent">ログアウト</a></p></div>
</form>

</body>
</html>