<?php
	/* OJLIVE Ver.0.1 */
	
	/*   ***** ここから設定 *****   */
	//	★のついている項目を埋めてください
	
	//	★consumer key & consumer secret
	//	http://apps.twitter.com でアプリを登録し、consumer keyとconsumer secretを取得
	//	登録の際、Callback URLには http://自鯖アドレス/live/callback を指定する
	
	define( 'CONSUMER_KEY', 'コンシューマーキーを入力' );
	define( 'CONSUMER_SECRET', 'コンシューマーシークレットを入力' );
	
	//	★管理者のTwitter ID(@を除く)
	//	例：
	//	soutyou_f
	
	define( 'ADMIN_TWITTER_ID', 'Twitterアカウント名を入力' );
	
	//	★フォロワー限定配信にするか？
	//	true もしくは false
	
	define( 'FOLLOWERS_ONLY', true );
	
	//	★ツイート時のハッシュタグを指定
	
	define( 'TWEET_TAG', 'おじさん配信' );
	
	//	★RTMP URLの設定
	//	例：
	//	rtmp://自鯖アドレス:1935/live/livestream
	
	define( 'RTMP_URL', 'RTMP URLを入力' );
	
	//	★HLS URLの設定（オプション）
	//	これを設定しておくとモバイルでも見られるかも（未検証）
	//	例：
	//	http://自鯖アドレス:ポート番号/ts/livestram.m3u8
	//	例（basic認証付き）：
	//	http://ユーザ名:パス@bsb.jp:ポート番号/ts/livestram.m3u8
	
	define( 'HLS_URL', 'HLS URLを入力' );
	
	/*   ***** 設定ここまで *****   */
	
	
	
	//ini_set('display_errors', "On");
	require_once 'twitteroauth/autoload.php';
	use Abraham\TwitterOAuth\TwitterOAuth;

	if(isset($_SESSION['access_token'])===FALSE){
		//header( 'location: login' );
	}else{
		$access_token = $_SESSION['access_token'];
		$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $access_token['oauth_token'], $access_token['oauth_token_secret']);
	}
	
	
	$livedir = (empty($_SERVER["HTTPS"]) ? "http://" : "https://") . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
	$cb_url = createUri($livedir,"./")."callback";
	$live_url = createUri($livedir,"./");
	
	define( 'LIVE_DIR', $livedir);
	define( 'OAUTH_CALLBACK', $cb_url );
	
	function createUri( $base, $relationalPath )
	{
	     $parse = array(
	          "scheme" => null,
	          "user" => null,
	          "pass" => null,
	          "host" => null,
	          "port" => null,
	          "query" => null,
	          "fragment" => null
	     );
	     $parse = parse_url( $base );

	     if( strpos($parse["path"], "/", (strlen($parse["path"])-1)) !== false ){
	          $parse["path"] .= ".";
	     }

	     if( preg_match("#^https?://#", $relationalPath) ){
	          return $relationalPath;
	     }else if( preg_match("#^/.*$#", $relationalPath) ){
	          return $parse["scheme"] . "://" . $parse["host"] . $relationalPath;
	     }else{
	          $basePath = explode("/", dirname($parse["path"]));
	          $relPath = explode("/", $relationalPath);
	          foreach( $relPath as $relDirName ){
	               if( $relDirName == "." ){
	                    array_shift( $basePath );
	                    array_unshift( $basePath, "" );
	               }else if( $relDirName == ".." ){
	                    array_pop( $basePath );
	                    if( count($basePath) == 0 ){
	                         $basePath = array("");
	                    }
	               }else{
	                    array_push($basePath, $relDirName);
	               }
	          }
	          $path = implode("/", $basePath);
	          return $parse["scheme"] . "://" . $parse["host"] . $path;
	     }

	}
?>