<?php
	session_start();

	require_once 'common.php';
	require_once 'makehtml.php';
	require_once 'twitteroauth/autoload.php';
	use Abraham\TwitterOAuth\TwitterOAuth;
	
	//ログインしてなかったらログイン
	if(isset($_SESSION['access_token'])===FALSE){
		//header( 'location: login' );
		html_needlogin();
	}else{
		$access_token = $_SESSION['access_token'];
		$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $access_token['oauth_token'], $access_token['oauth_token_secret']);
		$user = $connection->get("account/verify_credentials");
		
		//フォロー一覧取得
		$ids = [];
	    $cursor = -1;
	    do {
	        $result = $connection->get("friends/ids", [
	            'cursor' => $cursor
	        ]);
	        if (!is_array($result->ids)) {
	            throw new \Exception;
	        }
	        foreach ($result->ids as $id) {
	            $ids[] = $id;
	        }
	        $cursor = $result->next_cursor;
	    } while ($cursor != 0);
	    
	    //admin_id取得
	    $admin_data = $connection->get("users/show",["screen_name"=>ADMIN_TWITTER_ID]);
		$admin_id = $admin_data->id;
	    
		if(!FOLLOWERS_ONLY){
			html_live();
		}elseif($admin_id===$user->id){
			html_live();
		}elseif(in_array($admin_id,$ids)){
			html_live();
		}else{
			html_needfollow();
		}
	}
?>